## org.flexdock.docking.props
Class BasicDockingPortPropertySet

    java.lang.Object
      java.util.Dictionary<K,V>
          java.util.Hashtable
              org.flexdock.util.TypedHashtable
                  org.flexdock.docking.props.BasicDockingPortPropertySet

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.util.Map, DockingConstants, DockingPortPropertySet

Direct Known Subclasses:
  RootDockingPortPropertySet, ScopedDockingPortPropertySet

    public class BasicDockingPortPropertySet

extends TypedHashtable
implements DockingPortPropertySet, DockingConstants

Author:
  Christopher Butler
See Also:
  Serialized Form

Field Summary

Fields inherited from interface org.flexdock.docking.props.DockingPortPropertySet
`REGION_CHECKER, REGION_SIZE_EAST, REGION_SIZE_NORTH, REGION_SIZE_SOUTH, REGION_SIZE_WEST, SINGLE_TABS, TAB_PLACEMENT`

Fields inherited from interface org.flexdock.docking.DockingConstants
`ACTIVE_WINDOW, BOTTOM, CENTER, CENTER_REGION, CLOSE_ACTION, DEFAULT_PERSISTENCE_KEY, DOCKING_ID, EAST_REGION, HEAVYWEIGHT_DOCKABLES, HORIZONTAL, LEFT, MOUSE_PRESSED, NORTH_REGION, PERMANENT_FOCUS_OWNER, PIN_ACTION, REGION, RIGHT, SOUTH_REGION, TOP, UNINITIALIZED, UNINITIALIZED_RATIO, UNKNOWN_REGION, UNSPECIFIED_SIBLING_PREF, VERTICAL, WEST_REGION`

Constructor Summary
`BasicDockingPortPropertySet()`
`BasicDockingPortPropertySet(int initialCapacity)`
`BasicDockingPortPropertySet(int initialCapacity, float loadFactor)`
`BasicDockingPortPropertySet(java.util.Map t)`

Method Summary
`RegionChecker` `getRegionChecker()`
`java.lang.Float` `getRegionInset(java.lang.String region)`
`static java.lang.String` `getRegionInsetKey(java.lang.String region)`
`java.lang.Integer` `getTabPlacement()`
`java.lang.Boolean` `isSingleTabsAllowed()`
`void` `setRegionChecker(RegionChecker checker)`
`void` `setRegionInset(java.lang.String region, float inset)`
`void` `setSingleTabsAllowed(boolean allowed)`
`void` `setTabPlacement(int placement)`

Methods inherited from class org.flexdock.util.TypedHashtable
`get, get, get, get, get, get, get, get, getBoolean, getByte, getChar, getDouble, getFloat, getInt, getLong, getShort, getString, put, put, put, put, put, put, put, put, put`

Methods inherited from class java.util.Hashtable
`clear, clone, contains, containsKey, containsValue, elements, entrySet, equals, get, hashCode, isEmpty, keys, keySet, putAll, rehash, remove, size, toString, values`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BasicDockingPortPropertySet

    public BasicDockingPortPropertySet()

### BasicDockingPortPropertySet

    public BasicDockingPortPropertySet(int initialCapacity)

### BasicDockingPortPropertySet

    public BasicDockingPortPropertySet(int initialCapacity,
                                       float loadFactor)

### BasicDockingPortPropertySet

    public BasicDockingPortPropertySet(java.util.Map t)

Method Detail

### getRegionInsetKey

    public static java.lang.String getRegionInsetKey(java.lang.String region)

### getRegionChecker

    public RegionChecker getRegionChecker()

  Specified by:
    `getRegionChecker` in interface `DockingPortPropertySet`

### isSingleTabsAllowed

    public java.lang.Boolean isSingleTabsAllowed()

  Specified by:
    `isSingleTabsAllowed` in interface `DockingPortPropertySet`

### getTabPlacement

    public java.lang.Integer getTabPlacement()

  Specified by:
    `getTabPlacement` in interface `DockingPortPropertySet`

### getRegionInset

    public java.lang.Float getRegionInset(java.lang.String region)

  Specified by:
    `getRegionInset` in interface `DockingPortPropertySet`

### setRegionChecker

    public void setRegionChecker(RegionChecker checker)

  Specified by:
    `setRegionChecker` in interface `DockingPortPropertySet`

### setSingleTabsAllowed

    public void setSingleTabsAllowed(boolean allowed)

  Specified by:
    `setSingleTabsAllowed` in interface `DockingPortPropertySet`

### setTabPlacement

    public void setTabPlacement(int placement)

  Specified by:
    `setTabPlacement` in interface `DockingPortPropertySet`

### setRegionInset

    public void setRegionInset(java.lang.String region,
                               float inset)

  Specified by:
    `setRegionInset` in interface `DockingPortPropertySet`